﻿<Window
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:ADG_Assistance.Vue.DataManagement"
        xmlns:DB="clr-namespace:ADG_Assistance.DB" x:Class="ADG_Assistance.Vue.DataManagement.SelectProjet"
        mc:Ignorable="d"
		ResizeMode="NoResize"
		WindowStartupLocation="CenterScreen"
        Title="Selection Projet" Height="750" Width="610" Loaded="Window_Loaded">
    <Window.Resources>
        <CollectionViewSource x:Key="projetViewSource" d:DesignSource="{d:DesignInstance {x:Type DB:Projet}, CreateList=True}"/>
    </Window.Resources>
    <Grid DataContext="{StaticResource projetViewSource}">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="15px"/>
            <ColumnDefinition Width="100*"/>
            <ColumnDefinition Width="15px"/>
        </Grid.ColumnDefinitions>

        <Grid.RowDefinitions>
            <RowDefinition Height="15px"/>
            <RowDefinition Height="50px"/>
            <RowDefinition Height="100*"/>
            <RowDefinition Height="50px"/>
            <RowDefinition Height="15px"/>
        </Grid.RowDefinitions>
        <DataGrid Style="{StaticResource DG_StyleDisplay}" x:Name="DG_Projet" RowDetailsVisibilityMode="VisibleWhenSelected" Grid.Row="2"  ItemsSource="{Binding}" EnableRowVirtualization="True" Grid.Column="1" AutoGenerateColumns="False">
            <DataGrid.Background>
                <SolidColorBrush Color="Black" Opacity=".5"/>
            </DataGrid.Background>
            <DataGrid.Columns>

                <DataGridTextColumn IsReadOnly="True" x:Name="idClientColumn" Width="*" Header="Nom de l'entreprise cliente" Binding="{Binding Client.Nom}"/>
                <DataGridTextColumn IsReadOnly="True" x:Name="nomColumn" Width="*" Header="Nom Projet" Binding="{Binding Nom}"/>

            </DataGrid.Columns>
            <DataGrid.CellStyle>
                <Style TargetType="{x:Type DataGridCell}">

                    <Setter Property="BorderThickness" Value="5"/>
                    <Setter Property="FocusVisualStyle" Value="{x:Null}"/>
                </Style>
            </DataGrid.CellStyle>
        </DataGrid>

        <Button x:Name="BTN_AddProjet" Content="Créer Projet" Grid.Column="1" HorizontalAlignment="Right" Grid.Row="1" VerticalAlignment="Top" Width="109" Height="30" Margin="0,10,132,0" Click="BTN_AddProjet_Click"/>
        <Button x:Name="BTN_ModifyProjet" Content="Modifer Projet" Grid.Column="1" HorizontalAlignment="Right" Margin="0,10,0,0" Grid.Row="1" VerticalAlignment="Top" Width="127" Height="30" Click="BTN_ModifyProjet_Click"/>
        <Button x:Name="BTN_Accept" Content="Selectionner" Grid.Column="1" HorizontalAlignment="Left" Grid.Row="3" VerticalAlignment="Bottom" Width="113" Height="40" Click="BTN_Accept_Click"/>
        <Button x:Name="BTN_Cancel" Content="Annuler" Grid.Column="1" HorizontalAlignment="Right" Grid.Row="3" VerticalAlignment="Bottom" Width="96" Height="40" Click="BTN_Cancel_Click"/>
        <Label x:Name="LBL_infoWindow" Content="Choisissez le Projet à ajouter au Contrat" Grid.Column="1" HorizontalAlignment="Left" Margin="10,10,0,0" Grid.Row="1" VerticalAlignment="Top" Height="30"/>

    </Grid>
</Window>
